MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025009Open CASCADE[OCCT] OCCT:DRAWpublic2014-06-15 19:182015-05-14 15:33
Reportersan 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025009: Draw Harness, ViewerTest - Incorrect handling of comma and period keys pressed in a 3D view
DescriptionUnder Windows, ViewerWindowProc() function in ViewerTest_ViewerCommands.cxx tries to process almost all keyboard shortcuts passed through wParam argument of WM_KEYDOWN message as if they are true human-readable string constants.
However, this is not the case for comma (,) and period (.) keys: wParam contains VK_OEM_COMMA and VK_OEM_PERIOD, respectively.

Thus pressing comma and period keys in a test 3D view has unexpected effect, and this should be corrected (virtual key codes should be translated to ASCII characters before further processing, or virtual key codes should be used for all keyboard shortcuts).
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0029840)
kgv (developer)
2014-06-20 11:02

The work-in-progress patch is currently located in branch CR24394_1.
(0034859)
kgv (developer)
2014-12-01 10:07

Dear bugmaster,

please switch issue to verified state - the problem has been solved within patch for #0025436.

- Issue History
Date Modified Username Field Change
2014-06-15 19:18 san New Issue
2014-06-15 19:18 san Assigned To => mkv
2014-06-20 10:53 mkv Assigned To mkv => kgv
2014-06-20 10:53 mkv Status new => assigned
2014-06-20 11:02 kgv Note Added: 0029840
2014-06-20 11:03 kgv Target Version => 6.8.0
2014-09-26 13:21 abv Target Version 6.8.0 => 7.1.0
2014-11-06 19:10 kgv Relationship added related to 0025436
2014-12-01 10:04 kgv Relationship added related to 0024394
2014-12-01 10:05 kgv Relationship deleted related to 0024394
2014-12-01 10:07 kgv Note Added: 0034859
2014-12-01 10:07 kgv Assigned To kgv => bugmaster
2014-12-01 10:07 kgv Status assigned => feedback
2014-12-01 10:07 kgv Resolution open => fixed
2014-12-02 10:22 bugmaster Status feedback => tested
2014-12-02 10:23 bugmaster Status tested => verified
2015-01-19 16:23 bugmaster Target Version 7.1.0 => 6.9.0
2015-05-14 15:29 aiv Status verified => closed
2015-05-14 15:33 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker